package nc.impl.ztbossxt.process;

import com.alibaba.fastjson.JSONObject;

import nc.bs.uap.bossxt.process.WriteBossPayableApplyInfoProcess;
import nc.bs.uap.ztxt.process.WriteZtPayableApplyInfoProcess;
import nc.bs.zt.wuye.GatherDelApplyInfoProcess;
import nc.itf.ztbossxt.process.IWuYeZtBossxtBusiService;
import nc.util.uap.twxt.WYTwxtUtil;
import nc.vo.arap.gathering.AggGatheringBillVO;
import nc.vo.pub.BusinessException;

/**
 * @Description:针对外部接口逻辑处理 
 * 
 * @author 周蓝萍 【碧桂园-物业板块-天文系统接口】	
 * @date 2019-04-12
 * @version with NC V6.3
 */
public class WuYeZtBossxtBusiImpl implements IWuYeZtBossxtBusiService{


	@Override
	public String writeZtPayableApplyInfo(JSONObject jsonobj) throws BusinessException {
		WriteZtPayableApplyInfoProcess process =new WriteZtPayableApplyInfoProcess();
		return process.writeZtPayableApplyInfo(jsonobj);
	}

	@Override
	public String writeBossPayableApplyInfo(JSONObject jsonobj) throws BusinessException {
		WriteBossPayableApplyInfoProcess process = new WriteBossPayableApplyInfoProcess();
		return process.writeBossPayableApplyInfo(jsonobj);
		
	}
	
	@Override
	public String gatherDelApplyInfo(JSONObject jsonobj) throws BusinessException {
		GatherDelApplyInfoProcess process = new GatherDelApplyInfoProcess();
		return process.writeGatherDelApplyInfoProcess(jsonobj);
	}

	
}
